<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-account-key"></i>
    </span>
    Editar footer
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Editar footer</li>
    </ol>
  </nav>
</div>

<!-- boton  -->
<form [formGroup]="editFooterForm">
  <div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
    <div></div>
    <div>
      <div>
        <button type="button" class="btn btn-dark btn-fw" *ngIf="isEdit===false && datosEdit" (click)="editFooter($event)">
          <i class="mdi mdi-plus-box">Editar Footer</i>
        </button>
        <button type="button" class="btn btn-primary btn-fw" *ngIf="isEdit===true && datosEdit"
          (click)="saveFooter(this.editFooterForm.value)" [disabled]="this.editFooterForm.invalid">
          <i class="mdi mdi-plus-box">Guardar cambios</i>
        </button>
      </div>
      <div>
        <button type="button" class="btn btn-dark btn-fw" *ngIf="isEdit===false && !datosEdit" (click)="editFooter($event)">
          <i class="mdi mdi-plus-box">Crear Footer</i>
        </button>
        <button type="button" class="btn btn-primary btn-fw" *ngIf="isEdit===true && !datosEdit"
          (click)="crearFooter(this.editFooterForm.value)" [disabled]="this.editFooterForm.invalid">
          <i class="mdi mdi-plus-box">Crear</i>
        </button>
      </div>
    </div>
  </div>
  <!-- boton -->
  <div class="card">
    <div class="card-body">
      <p class="card-description">

      </p>
      <div class="row">
        <div class="col-md-6">
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Instagram</label>
            <div class="col-sm-9">
              <input id="edit" type="text" class="form-control" formControlName="instagram" #instagram
                placeholder="Ingrese su link de instagram" />
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Facebook</label>
            <div class="col-sm-9">
              <input id="edit" type="text" class="form-control" formControlName="facebook" #facebook
                placeholder="Ingrese su link de instagram" />
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Whatsapp</label>
            <div class="col-sm-9">
              <input id="edit" type="text" class="form-control" formControlName="whatsapp" #whatsapp
                placeholder="Ingrese su link de instagram" />
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Ubicación de google</label>
            <div class="col-sm-9">
              <input id="edit" type="text" class="form-control" formControlName="ubicacion_google" #ubicacion_google
                placeholder="Ingrese su link de instagram" />
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Número de celular</label>
            <div class="col-sm-9">
              <input id="edit" type="text" class="form-control" formControlName="numero_celular" #numero_celular
                placeholder="Ingrese un número de contacto" onkeypress="return event.charCode>=48 && event.charCode<=57"
                required maxlength="8" />
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Correo</label>
            <div class="col-sm-9">
              <input id="edit" type="email" class="form-control" formControlName="correo" #correo
                placeholder="Ingrese su link de instagram" />
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col">
        </div>
        <div class="col-md-4">
          <div *ngIf="isEdit === true">
            <button type="button" class="btn btn-primary btn-fw" [disabled]="this.editFooterForm.invalid"
              (click)="saveFooter(this.editFooterForm.value)" *ngIf="datosEdit">Guardar</button>
              <button type="button" class="btn btn-primary btn-fw" [disabled]="this.editFooterForm.invalid"
              (click)="crearFooter(this.editFooterForm.value)" *ngIf="!datosEdit">Crear</button>
            <button type="button" class="btn btn-danger btn-fw" (click)="cancel()">Cancelar</button>
          </div>

        </div>
      </div>
      <div class="row">
      </div>
    </div>
  </div>
</form>
